<?php

if (!defined('ABSPATH')) {
    exit;
}

return array(
    'enabled' => array(
        'title'       => __('Enable/Disable', 'rupantorpay'),
        'label'       => __('Enable rupantorpay', 'rupantorpay'),
        'type'        => 'checkbox',
        'description' => '',
        'default'     => 'no'
    ),
    'title' => array(
        'title'       => __('Title', 'rupantorpay'),
        'type'        => 'text',
        'description' => __('This controls the title which the user sees during checkout.', 'rupantorpay'),
        'default'     => 'rupantorpay Gateway',
        'desc_tip'    => true,
    ),
    'description' => array(
        'title'       => __('Description', 'rupantorpay'),
        'type'        => 'textarea',
        'description' => __('This controls the description which the user sees during checkout.', 'rupantorpay'),
        'default'     => 'Pay securely via Bangladeshi payment methods.',
        'desc_tip'    => true,
    ),
    'apikeys' => array(
        'title'       => __('API Key', 'rupantorpay'),
        'type'        => 'text',
        'description' => __('Get your API key from <a href="https://rupantorpay.com/user/brands" target="_blank">Panel → Brands</a>', 'rupantorpay'),
        'default'     => '###################',
        'desc_tip'    => false,
    ),
    'physical_product_status' => array(
        'title'       => __('Physical Product Status', 'rupantorpay'),
        'type'        => 'select',
        'options'     => wc_get_order_statuses(),
        'description' => __('Select status for physical product orders after successful payment.', 'rupantorpay'),
        'default'     => 'processing',
        'desc_tip'    => false,
    ),
    'digital_product_status' => array(
        'title'       => __('Digital Product Status', 'rupantorpay'),
        'type'        => 'select',
        'options'     => wc_get_order_statuses(),
        'description' => __('Select status for digital/downloadable product orders after successful payment.', 'rupantorpay'),
        'default'     => 'completed',
        'desc_tip'    => false,
    ),
    'currency_rate' => array(
        'title'       => __('USD to BDT Exchange Rate', 'rupantorpay'),
        'type'        => 'number',
        'description' => __('This rate will be applied to convert the total amount to BDT.', 'rupantorpay'),
        'default'     => '110',
        'desc_tip'    => true,
    ),
    'payment_site' => array(
        'title'             => __('Payment Site URL', 'rupantorpay'),
        'type'              => 'text',
        'description'       => '',
        'default'           => 'https://payment.rupantorpay.com/',
        'desc_tip'          => true,
        'custom_attributes' => array(
            'readonly' => 'readonly'
        ),
    ),
);
