<?php

if (!defined('ABSPATH')) {
    exit;
}

function rupantorpay_handle_webhook()
{
    if (!isset($_REQUEST['_wpnonce']) || !wp_verify_nonce(sanitize_text_field(wp_unslash($_REQUEST['_wpnonce'])), 'rupantorpay_nonce')) {
        wp_die(esc_html__('Invalid request.', 'rupantorpay'));
    }

    if (empty($_GET['order_id']) || !is_numeric($_GET['order_id'])) {
        wp_die(esc_html__('Invalid request.', 'rupantorpay'));
    }

    $order_id = sanitize_text_field(wp_unslash($_GET['order_id']));
    $order = wc_get_order($order_id);

    if ($order) {
        $gateway = new WC_rupantorpay_Gateway();
        $gateway->update_order_status($order);
    }

    status_header(200);
    echo wp_json_encode(['message' => esc_html__('Webhook received and processed.', 'rupantorpay')]);

    exit();
}
