<?php
/*
 * Plugin Name: Rupantorpay
 * Plugin URI: https://wordpress.org/plugins/rupantorpay
 * Description: Rupantorpay WooCommerce Plugin. You can receive payment through your personal account with Automation.
 * Author: rupantorpay
 * Author URI: https://github.com/rupantorpay
 * Version: 1.0.0
 * Requires at least: 6.0
 * Requires PHP: 7.4
 * License: GPLv2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: rupantorpay
 */

if (!defined('ABSPATH')) {
    exit;
}

add_action('plugins_loaded', 'rupantorpay_check_woocommerce');
function rupantorpay_check_woocommerce() {
    if (class_exists('WooCommerce')) {
        require_once plugin_dir_path(__FILE__) . 'includes/class-wc-rupantorpay-gateway.php';
        require_once plugin_dir_path(__FILE__) . 'includes/class-wc-rupantorpay-settings.php';
        require_once plugin_dir_path(__FILE__) . 'includes/class-wc-rupantorpay-webhook.php';

        add_filter('woocommerce_payment_gateways', 'rupantorpay_add_gateway_class');
        function rupantorpay_add_gateway_class($gateways) {
            $gateways[] = 'WC_rupantorpay_Gateway';
            return $gateways;
        }
        add_action('rest_api_init', function () {
            register_rest_route('rupantorpay/v1', '/webhook', array(
    'methods' => 'POST',
    'callback' => 'rupantorpay_handle_webhook',
    'permission_callback' => '__return_true'
));
        });
        add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'rupantorpay_plugin_action_links');
    } else {
        add_action('admin_notices', function () {
            echo '<div class="error"><p><strong>rupantorpay</strong> requires WooCommerce to be installed and activated.</p></div>';
        });
    }
}
function rupantorpay_plugin_action_links($links) {
    $plugin_links = [
        sprintf(
            '<a href="%s">%s</a>',
            admin_url('admin.php?page=wc-settings&tab=checkout&section=rupantorpay'),
            __('Settings', 'rupantorpay')
        ),
        sprintf(
            '<a href="%s" target="_blank">%s</a>',
            'https://rupantorpay.com',
            __('<b style="color: green">Purchase Plan</b>', 'rupantorpay')
        ),
    ];
    return array_merge($plugin_links, $links);
}
